Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

From: Joe Corneli <[email-masked]>
Date: Tue, 02 Aug 2022 15:17:07 +0100

Po Lu writes:

> Could you please install debuginfo for GDK and see where in GDK the
> crash happens?

I’ve tried running things like this:

joe@Proteus:~/emacs$ export GDK_DEBUG=events
joe@Proteus:~/emacs$ export GTK_DEBUG=misc
joe@Proteus:~/emacs$ emacs &

(I tried with the "all" option, but it slowed Emacs down too much.)

If I should do something else to get better debugging info out please
advise, otherwise I shall carry on like this, and may see the crash
again before long, with some further information.

-- 
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorporated
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).